org.eclipse.spi.net4j

## Interface InternalChannel.SendQueueEvent

- All Superinterfaces:
    IEvent
  Enclosing interface:
    InternalChannel

      public static interface InternalChannel.SendQueueEvent
      extends IEvent

  An `event` fired from a `channel` when a `buffer` is enqueued or dequeued.
  Since:
    3.0
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `InternalChannel.SendQueueEvent.Type` Enumerates the possible `send queue` `event` types.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getQueueSize()`
    `InternalChannel` | `getSource()`
    `InternalChannel.SendQueueEvent.Type` | `getType()`

- - ### Method Detail

    - #### getSource

          InternalChannel getSource()

      Specified by:
        `getSource` in interface `IEvent`

    - #### getType

          InternalChannel.SendQueueEvent.Type getType()

    - #### getQueueSize

          int getQueueSize()

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html